<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ページ情報 - MicroEngine</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_home').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'page_info.html'));?>
<div class="main container">
<ul class="breadcrumb">
<li>
<a href="../Main/index">ホーム</a> <span class="divider">/</span>
</li>
<li class="active">ページ情報</li>
</ul>

<h4>ページ情報</h4>
<table class="table">
<tbody>
<tr>
<th class="span2">ページパス</th>
<td>
<?php h::p($path) ?>
</td>
</tr>
<?php if ($page_info['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE): ?>
<tr>
<th class="span2">更新日時</th>
<td>
<?php h::date_time($page_info['update_date']) ?>
</td>
</tr>
<tr>
<th class="span2">更新者</th>
<td>
<?php h::p($page_info['user_name']) ?>
</td>
</tr>
<tr>
<th class="span2">備考</th>
<td>
<?php h::p($page_info['note']) ?>
</td>
</tr>
<tr>
<th class="span2">コメント</th>
<td>
<?php h::p($page_info['revision_comment']) ?>
</td>
</tr>
<tr>
<th class="span2">管理</th>
<td>
<a class="btn btn-small btn-primary" href="../Page/edit?pi=<?php h::p($page_info['_id']) ?>&di=<?php h::p($page_info['draft_id']) ?>&back=info">ページ編集</a>
<a class="btn btn-small" href="../Page/revision_info?path=<?php h::p($path) ?>">更新履歴管理</a>
<a class="btn btn-small" href="../Content/image_list?path=<?php h::p($path) ?>">画像管理</a>
<a class="btn btn-small" href="../Content/file_list?path=<?php h::p($path) ?>">ファイル管理</a>
</td>
</tr>
<?php endif; ?>
</tbody>
</table>

<?php if ($page_info['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE): ?>
<h4>下書き情報</h4>
<?php if ($page_info['draft_id']): ?>
<table class="table">
<tbody>
<tr>
<th class="span2">保存日時</th>
<td>
<?php h::date_time($page_info['draft_create_date']) ?>
</td>
</tr>
<tr>
<th class="span2">作成者</th>
<td>
<?php h::p($page_info['draft_user_name']) ?>
</td>
</tr>
<tr>
<th class="span2">備考</th>
<td>
<?php h::p($page_info['draft_note']) ?>
</td>
</tr>
<tr>
<th class="span2">コメント</th>
<td>
<?php h::p($page_info['draft_comment']) ?>
</td>
</tr>
<tr>
<th class="span2">管理</th>
<td>
<a class="btn btn-small btn-warning" href="../Page/edit?pi=<?php h::p($page_info['_id']) ?>&di=<?php h::p($page_info['draft_id']) ?>&draft_edit=true&back=info">下書き編集</a>
<a class="btn btn-small btn-info" target="_blank" href="../Page/draft_preview?pi=<?php h::p($page_info['_id']) ?>&di=<?php h::p($page_info['draft_id']) ?>">プレビュー</a>
</td>
</tr>
</tbody>
</table>
<?php else: ?>
<p>保存された下書きはありません。</p>
<?php endif; ?>
<?php endif; ?>

<?php if ($page_info['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE_ARCHIVE): ?>
<p>このページは <?php h::p($page_info['template_path']) ?> のアーカイブページとして書き出されました。</p>
<?php endif; ?>

<a href="<?php h::p($back_link) ?>" class="btn btn-small">戻る</a>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>