<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title><?php h::p($page_title) ?> - MicroEngine</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'user_edit.html')) ?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../System/index">システム</a> <span class="divider">/</span></li>
<?php if (User_Role::require_admin(false)): ?>
<li><a href="../User/index">ユーザー管理</a> <span class="divider">/</span></li>
<?php endif; ?>
<li class="active"><?php h::p($page_title) ?></li>
</ul>
<?php h::error($form->errors["MESSAGE"]) ?>

<form method="POST" action="../User/post" autocomplete="off">
<table class="table">
<tbody>
<tr>
<th>ユーザー名
<?php if (User_Role::require_admin(false)): ?>
<span class="label label-important">※必須</span>
<?php endif; ?>
</th>
<td>
<?php if (User_Role::require_admin(false)): ?>
<input type="text" id="user_name" name="user_name" maxlength="32" value="<?php h::p($form->user_name);?>">
<br>ログインに使用する名前
<?php h::error($form->errors["user_name"]) ?>
<?php else: ?>
<?php h::p($form->user_name);?>
<?php endif; ?>
</td>
</tr>
<tr>
<?php $require_password = ($is_edit) ? '' :'<span class="label label-important">※必須</span>'; ?>
<th>パスワード <?php h::no_escape($require_password) ?></th>
<td>
<input type="password" id="password" name="password" maxlength="32"><br>
<input type="password" id="confirm_password" name="confirm_password" maxlength="32"><br>
確認用
<?php h::error($form->errors["password"]) ?>
</td>
</tr>
<tr>
<th>ロール</th>
<td>
<?php if (User_Role::require_admin(false) && $login_user->_id !== $form->_id): ?>
<select id="user_role" name="user_role">
<option value="<?php h::p(User_Role::ADMIN) ?>" <?php h::select($form->user_role, User_Role::ADMIN) ?>>システム管理者</option>
<option value="<?php h::p(User_Role::DESIGNER) ?>" <?php h::select($form->user_role, User_Role::DESIGNER) ?>>デザイナー</option>
<option value="<?php h::p(User_Role::EDITOR) ?>" <?php h::select($form->user_role, User_Role::EDITOR) ?>>編集者</option>
</select>
<?php h::error($form->errors["user_role"]) ?>
<?php else: ?>
<?php h::p(User_Role::get_role_name($form->user_role)) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>表示名</th>
<td>
<input type="text" id="display_name" name="display_name" maxlength="32" value="<?php h::p($form->display_name) ?>"><br>
ユーザー名とは別の名前を画面上に表示したい場合に指定する。
<?php h::error($form->errors["display_name"]) ?>
</td>
</tr>
<tr>
<th>アクセス権の基本設定</th>
<td>
<?php if (User_Role::require_admin(false)): ?>
<select id="default_access" name="default_access">
<option value="allow" <?php h::select($form->default_access, 'allow') ?>>許可</option>
<option value="deny" <?php h::select($form->default_access, 'deny') ?>>不許可</option>
</select>
<?php h::error($form->errors["default_access"]) ?>
<?php else: ?>
<?php $default_access = ($form->default_access === 'allow') ? '許可' : '不許可' ; ?>
<?php h::p($default_access) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>アクセス権の例外パス</th>
<td>
<?php if (User_Role::require_admin(false)): ?>
<textarea name="path_config" class="input-xlarge" rows="5"><?php h::p($form->path_config) ?></textarea>
<?php h::error($form->errors["path_config"]) ?>
<?php else: ?>
    <?php h::nl($form->path_config) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>備考</th>
<td>
<input type="text" id="note" name="note" maxlength="50" value="<?php h::p($form->note) ?>">
<?php h::error($form->errors["note"]) ?>
</td>
</tr>
</tbody>
</table>

<div>
<?php if (User_Role::require_admin(false)): ?>
<input type="button" class="btn" value="キャンセル" onclick="location.href='../User/index';return false;">
<?php else: ?>
<input type="button" class="btn" value="キャンセル" onclick="location.href='../System/index';return false;">
<?php endif; ?>
<input type="submit" class="btn btn-primary" value="登録">
</div>
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
<input type="hidden" id="_id" name="_id" value="<?php h::p($form->_id) ?>">
</form>
</div>

<?php h::render('/Common/footer.php') ?>
</body>
</html>